<?php
session_start();
include("dbconnection.php");

if (isset($_POST['login'])) {
    $adminusername = $_POST['username'];
    $pass = $_POST['password'];

    // Use prepared statement to prevent SQL injection
    $stmt = mysqli_prepare($con, "SELECT id FROM admin WHERE username=? AND password=?");
    mysqli_stmt_bind_param($stmt, "ss", $adminusername, $pass);
    mysqli_stmt_execute($stmt);
    mysqli_stmt_store_result($stmt);

    if (mysqli_stmt_num_rows($stmt) > 0) {
        $extra = "manage-users.php";
        $_SESSION['login'] = $_POST['username'];

        // Fetch the id using the prepared statement
        mysqli_stmt_bind_result($stmt, $id);
        mysqli_stmt_fetch($stmt);

        $_SESSION['id'] = $id;

        echo "<script>window.location.href='" . $extra . "'</script>";
        exit();
     } else {
        // Use htmlspecialchars to prevent potential XSS attacks
        $extra = htmlspecialchars($_SERVER['PHP_SELF']);

        $_SESSION['message'] = "Invalid username or password";

        echo "<script>
                window.location.href='" . $extra . "';
              </script>";
        exit();
    }

    // Close the statement
    mysqli_stmt_close($stmt);
}
?>



<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Authentication-login</title>
  <link rel="shortcut icon" type="image/png" href="assetss/images/logos/favicon.png" />
  <link rel="stylesheet" href="assetss/css/styles.min.css" />
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

</head>

<body>
  <!--  Body Wrapper -->
  <div class="page-wrapper" id="main-wrapper" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
    data-sidebar-position="fixed" data-header-position="fixed">
    <div
      class="position-relative overflow-hidden radial-gradient min-vh-100 d-flex align-items-center justify-content-center">
      <div class="d-flex align-items-center justify-content-center w-100">
        <div class="row justify-content-center w-100">
          <div class="col-md-8 col-lg-6 col-xxl-3">
            <div class="card mb-0">
              <div class="card-body">
                <a href="#" class="text-nowrap logo-img text-center d-block py-3 w-100">
                  <img src="assetss/images/logos/dark-logo.svg" width="180" alt="">
                </a>
                <?php
                  if (isset($_SESSION['message'])) {
                      echo "<div class='alert alert-danger d-flex align-items-center' role='alert'>
                          <svg class='bi flex-shrink-0 me-2' width='24' height='24' role='img' aria-label='Danger:'><use xlink:href='#exclamation-triangle-fill'/></svg>
                          <div>".$_SESSION['message']."</div>
                          <button type='button' class='close' data-dismiss='alert' aria-label='Close'>
                              <span aria-hidden='true'>×</span>
                          </button>
                      </div>";
                      unset($_SESSION['message']);
                  }
                  ?>
		      <form class="form-login" action="" method="post">
                  <div class="mb-3">
                    <label for="exampleInputtext1" class="form-label">Username</label>
                    <input type="text" name="username" class="form-control" id="exampleInputtext1" aria-describedby="textHelp">
                  </div>
                 
                  <div class="mb-4">
                    <label for="exampleInputPassword1" class="form-label">Password</label>
                    <input type="password" name="password" class="form-control" id="exampleInputPassword1">
                  </div>
<button  name="login" class="btn btn-primary w-100 py-8 fs-4 mb-4 rounded-2" type="submit" value="Access Account">Submit</button>
                  
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script src="assetss/libs/jquery/dist/jquery.min.js"></script>
  <script src="assetss/libs/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
   <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>

</html>
